Void/Reverse payment

This request voids or reverses a payment that has been made.

   Click here to learn more about this request

Occasionally, a payment will need to be reversed or voided. This can occur for a number of reasons, such as a bounced check or a payment entry error. Note the following when using this request:

Once a payment is reversed, it can no longer be edited.

Unlike with a PUT Edit existing payment request, reversing a payment does not create a new payment record.

When a payment is reversed, its status in the database is updated to payment.status.voided.

👆

Pay special attention to the endpoint of this request.

This request does not use OData, so it's not included in the endpoint like most other LMS requests.

For an example of how updating payments works within the UI, take a look at our Payments article.

Database

For information on payments database tables, see the following articles:

Database – Payment Reversed Transaction Snapshot (payment_reversed_tx_snapshot)

Database – Payments (payment_entity)

Database – Payment Defaults (defaults_payments)

Database – Additional Payment Information (payment_info_entity)

{
    "reverseReason": "payment.reverse.checkBounce",
    "comments": "The check provided by the borrower could not be processed.",
    "nachaReturnCode": "nacha.returnCode.r05",
    "__logOnly": false
}
Path Params
int32
required

This is the system ID of the associated loan.

int32
required

This is the system ID of the payment being voided or reversed.

Body Params
string
enum
required
Defaults to payment.reverse.checkBounce

This determines the reason for reversing the payment.
> For more information on these values, click here

Allowed:
string
required

This field is used to describe the reversal in greater detail.

string
enum
Defaults to nacha.returnCode.r05

This specifies whether a NACHA return code should be sent to the payment processor. If this field is left empty, no NACHA return code will be sent to the payment processor.

Allowed:
boolean
Defaults to false

This determines whether this information will be forwarded to payment processors. If set to false, the information will be forwarded to payment processors.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain